Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface DeclassifyStmt

All Superinterfaces:
  java.lang.Cloneable, polyglot.ast.CompoundStmt, polyglot.util.Copy, DowngradeStmt, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Stmt, polyglot.ast.Term

All Known Implementing Classes:
  DeclassifyStmt_c

    public interface DeclassifyStmt

extends DowngradeStmt

An immutable representation of the Jif `declassify` statement.

Grammar: `declassify(label_1, label_2) stmt`

If the pc label of this declassify statement is less restrictive than `label_2`, then declassify the pc label of `stmt` to `label_1`.

Field Summary

Fields inherited from interface polyglot.ast.Term
`ENTRY, EXIT`

Method Summary

Methods inherited from interface jif.ast.DowngradeStmt
`body, body, bound, bound, downgradeKind, label, label`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, exceptions, exceptions, firstChild, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.util.Copy
`copy`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD